--- old/usr/src/man/man9f/ddi_dma_burstsizes.9f	Sat May 24 17:48:26 2014
+++ new/usr/src/man/man9f/ddi_dma_burstsizes.9f	Sat May 24 17:48:26 2014
@@ -1,9 +1,10 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 1994, Sun Microsystems, Inc.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH DDI_DMA_BURSTSIZES 9F "Feb 1, 1994"
+.TH DDI_DMA_BURSTSIZES 9F "May 24, 2014"
 .SH NAME
 ddi_dma_burstsizes \- find out the allowed burst sizes for a DMA mapping
 .SH SYNOPSIS
@@ -29,8 +30,7 @@
 \fB\fIhandle\fR \fR
 .ad
 .RS 11n
-A \fBDMA\fR handle that was filled in by a successful call to
-\fBddi_dma_setup\fR(9F).
+A \fBDMA\fR handle.
 .RE
 
 .SH DESCRIPTION
@@ -37,8 +37,8 @@
 .sp
 .LP
 \fBddi_dma_burstsizes()\fR returns the allowed burst sizes for a \fBDMA\fR
-mapping. This value is derived from the \fBdlim_burstsizes\fR member of the
-\fBddi_dma_lim_sparc\fR(9S) structure, but it shows the allowable burstsizes
+mapping. This value is derived from the \fBdma_attr_burstsizes\fR member of the
+\fBddi_dma_attr\fR(9S) structure, but it shows the allowable burstsizes
 \fBafter\fR imposing on it the limitations of other device layers in addition
 to device's own limitations.
 .SH RETURN VALUES
@@ -45,7 +45,7 @@
 .sp
 .LP
 \fBddi_dma_burstsizes()\fR returns a binary encoded value of the allowable
-\fBDMA\fR burst sizes. See \fBddi_dma_lim_sparc\fR(9S) for a discussion of
+\fBDMA\fR burst sizes. See \fBddi_dma_attr\fR(9S) for a discussion of
 \fBDMA\fR burst sizes.
 .SH CONTEXT
 .sp
@@ -54,8 +54,7 @@
 .SH SEE ALSO
 .sp
 .LP
-\fBddi_dma_devalign\fR(9F), \fBddi_dma_setup\fR(9F),
-\fBddi_dma_lim_sparc\fR(9S), \fBddi_dma_req\fR(9S)
+\fBddi_dma_alloc_handle\fR(9F), \fBddi_dma_attr\fR(9S)
 .sp
 .LP
 \fIWriting Device Drivers\fR
